binomial_heap_base_.hpp File Reference

Go to the source code of this file.

## Classes

class | __gnu_pbds::detail::binomial_heap_base< Value_Type, Cmp_Fn, _Alloc >

## Namespaces

namespace | __gnu_pbds

## Macros

#define | PB_DS_ASSERT_BASE_NODE_CONSISTENT(_Node, _Bool)
#define | PB_DS_ASSERT_VALID_COND(X, _StrictlyBinomial)
#define | PB_DS_B_HEAP_BASE
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_T_DEC

## Detailed Description

Contains an implementation class for a base of binomial heaps.

Definition in file binomial_heap_base_.hpp.

## Macro Definition Documentation

## PB_DS_ASSERT_BASE_NODE_CONSISTENT

#define PB_DS_ASSERT_BASE_NODE_CONSISTENT | ( |  | _Node,
|  |  | _Bool
| ) |  |

Definition at line 192 of file binomial_heap_base_.hpp.

## PB_DS_ASSERT_VALID_COND

#define PB_DS_ASSERT_VALID_COND | ( |  | X,
|  |  | _StrictlyBinomial
| ) |  |

Definition at line 189 of file binomial_heap_base_.hpp.

## PB_DS_B_HEAP_BASE

#define PB_DS_B_HEAP_BASE

Definition at line 70 of file binomial_heap_base_.hpp.

## PB_DS_CLASS_C_DEC

#define PB_DS_CLASS_C_DEC

Definition at line 62 of file binomial_heap_base_.hpp.

## PB_DS_CLASS_T_DEC

#define PB_DS_CLASS_T_DEC

Definition at line 59 of file binomial_heap_base_.hpp.